<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:id="@+id/id_top_rl"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/id_tv_title_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:text="Clean Junk"
            android:textColor="#333333"
            android:textSize="18sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </RelativeLayout>

    <FrameLayout
        android:id="@+id/id_junk_scan"
        android:layout_width="300dp"
        android:layout_height="300dp"
        android:adjustViewBounds="true"
        app:layout_constraintBottom_toTopOf="@id/tv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.495"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:lottie_autoPlay="true"
        app:lottie_loop="true">

        <com.base.filerecoveryrecyclebin.view.XmlLottieAnimationView
            android:id="@+id/lottie"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:adjustViewBounds="true"
            app:lottie_autoPlay="true"
            app:lottie_loop="true" />


        <com.base.filerecoveryrecyclebin.view.XmlLottieAnimationView
            android:id="@+id/lottie_completed"
            android:layout_width="90dp"
            android:layout_height="90dp"
            android:layout_gravity="center"
            android:visibility="gone"
            app:lottie_autoPlay="false"
            app:lottie_rawRes="@raw/loading_completed" />

    </FrameLayout>

    <TextView
        android:id="@+id/tv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:layout_marginBottom="295dp"
        android:text="Wait a moment..."
        android:textColor="#333333"
        android:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:ignore="HardcodedText" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        android:layout_marginBottom="65dp"
        android:gravity="center_horizontal"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/id_fl_native">

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_view1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:src="@mipmap/cjxuanzhuan" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@mipmap/cleantu1" />
        </FrameLayout>

        <View
            android:layout_width="39dp"
            android:layout_height="1dp"
            android:layout_gravity="center"
            android:layout_marginHorizontal="20dp"
            android:background="#DCDCDC" />

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_view2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/cjxuanzhuan" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@mipmap/cleantu2" />
        </FrameLayout>

        <View
            android:layout_width="39dp"
            android:layout_height="1dp"
            android:layout_gravity="center"
            android:layout_marginHorizontal="20dp"
            android:background="#DCDCDC" />

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">


            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/id_view3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/cjxuanzhuan" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:src="@mipmap/cleantu2" />
        </FrameLayout>


    </LinearLayout>

    <FrameLayout
        android:id="@+id/id_fl_native"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent">

        <io.supercharge.shimmerlayout.ShimmerLayout
            android:id="@+id/shimmerLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|center_horizontal"
            android:layout_marginHorizontal="16dp"
            android:layout_marginVertical="10dp"
            app:shimmer_angle="25"
            app:shimmer_animation_duration="2000"
            app:shimmer_auto_start="true"
            app:shimmer_color="#33ffffff"
            app:shimmer_mask_width="0.2">

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@mipmap/adzhanweitu" />

        </io.supercharge.shimmerlayout.ShimmerLayout>
    </FrameLayout>
</androidx.constraintlayout.widget.ConstraintLayout>